/*****************************************/
/* Eclipse 360 Framework Header Styles   */
/*****************************************/
header { position: fixed; width: 100%; z-index: 20; }
#header { position: fixed; z-index: 20; display: contents; }

.warning { position: relative; text-align: center; }
.warning-link { text-decoration: none; }
.warning-full { position: absolute; top: 0; left: 0; height: 100vh; width: 100%; z-index: 99; transition: all .5s ease-in-out; }
.warning-full.warning-hidden { top: -200vh !important; }
.warning-full .warning-container { position: relative; max-width: 1100px; margin: 0 auto; padding: 115px 30px; overflow: auto; height: 100vh; }
.warning-full .warning-container a:hover { color: #FFFFFF; }
.warning .warning-title { display: inline-block; }
.warning .warning-title .eclipse-text p { padding: 0; }
.warning #external-link { fill: #FFFFFF; transition: all .25s ease-in-out; }
.warning:hover p { color: #00ABBD; }
.warning:hover #external-link { fill: #00ABBD; }

#header .bg-image { margin: 0 0 0 0; transition: all .5s ease-in-out; }
#header .row { display: block; }
#header .super-header { position: relative; z-index: 1; transition: all .5s ease-in-out; }
#header .menu-main-navigation-container { padding: 0 7vw 0 60px; }
#header .menu { list-style: none; padding: 0; margin: 0; }
#header .sub-menu { list-style: none; padding: 0; margin: 0; }
#header .super-header ul.menu li { display: inline-block; padding: 0 10px 0 10px; vertical-align: middle; }
#header .super-header ul.menu li a { font-family: 'Inter', sans-serif; font-size: 13px; font-weight: 400; text-decoration: none; line-height: 20px; color: #00ABBD; transition: all .5s ease-in-out; }
#header .super-header ul.menu li a:hover { color: #E8B15C; }
#header .super-header ul.menu .icon-search { background: url('/wp-content/themes/eclipse-360-framework/assets/images/icon-search.png') no-repeat center center / 19px 19px; margin: 5px 0 0 0; padding: 0 0 0 30px; cursor: pointer; }
#header .container { position: relative; /*max-width: 1920px;*/ margin: 0 auto; padding: 15px 30px 15px 60px }
#header .container .logo { position: relative; display: inline-block; vertical-align: middle; z-index: 10; transition: all .5s ease-in-out; }

#header .container .site-logo { display: inline-block; vertical-align: middle; transition: all .5s ease-in-out; }
#header .container .main-menu { display: inline-block; vertical-align: middle; transition: all .5s ease-in-out; }
#header .menu-fade { display: block; }
#header .container .main-menu li a { color: #232323; }
#header .container .menu-main-navigation-container li { position: relative; display: inline-block; padding: 25px 1.5vw 20px 0px; }
#header .container .menu-main-navigation-container li a::after { content: ''; display: inline-block; background: url('/wp-content/themes/eclipse-360-framework/assets/images/chevron-small.avif') 5px 5px no-repeat; height: 24px; width: 30px; background-size: contain !important; transform: rotate(0deg); transition: all .5s ease-in-out; }
#header .container .menu-main-navigation-container li.active a::after { transform: rotate(-180deg); background-position: 0px -5px; }

#header .container .menu-main-navigation-container li .sub-menu { max-height: 0px; width: 250px; background-color: #FFFFFF; position: absolute; overflow: hidden; padding: 0px; margin: 5px 0 0 0; border-radius: 0 0 10px 10px; box-shadow: 3px 3px 10px rgba(0, 0, 0, .2); text-align: left; transition: all .5s ease-in-out; }
#header .container .menu-main-navigation-container li.menu-item-has-children:hover > .sub-menu { max-height: 1000px; overflow: auto; padding: 10px; z-index: 10; }
#header .container .menu-main-navigation-container li .sub-menu li { display: block; }
#header .container .menu-main-navigation-container li .sub-menu li a { color: #3B3B39; font-size: 18px; font-weight: 400; line-height: 12px; text-transform: none; transition: all .5s ease-in-out; }
#header .container .menu-main-navigation-container li .sub-menu li a:hover { padding: 0 0 0 5px; color: #E8B15C; }
#header .menu-top-menu-container .menu li.mobile-only { display: none; }

#header .no-text a { font-size: 0 !important; }
.scroll #header .menu-fade { height: 0; }

/*****************************************/
/* Eclipse 360 Framework Menu Styles     */
/*****************************************/
/*Level 1*/
#header .container .mega-menu { position: absolute; display: table; left: 0; min-height: 500px; width: 100%; opacity: 0; visibility: hidden; background-color: #FFFFFF; box-shadow: 0 10px 6px rgba(0,0,0,.1); transition: all .5s ease-in-out; }
#header .container .mega-menu.active { opacity: 1; visibility: visible; }
#header .container .mega-menu a { display: block; width: 100%; }
#header .container .mega-menu #external-link { display: none; }
#header .container .mega-menu [class$="-submenu-container"] { padding: 20px 0 30px 200px; }
#header .container .mega-menu .menu { position: relative; width: 20vw; padding: 0; }
#header .container .mega-menu .menu > li { display: block; padding: 0 20px; transition: all .5s ease-in-out; }
#header .container .mega-menu .menu > li a::after { background: unset; }

#menu-main-navigation > li::after { display: block; clear: both; content: ''; position: relative; left: 0; bottom: 0; max-width: 250px; height: 1px; width: 0%; border-bottom: 2px solid #00ABBD; padding: 6.5px 0 0 0; transition: all .5s ease-in-out; }
#menu-main-navigation > li:hover::after { width: 100%; }
#menu-main-navigation > li.active::after { width: 100%; }
#menu-main-navigation > li.current-page-ancestor::after { width: 100%; }
#menu-main-navigation > li.current-menu-item::after { width: 100%; }

/*Level 2*/
#header .container .mega-menu .menu > li.menu-item-has-children { background: url('/wp-content/themes/eclipse-360-framework/assets/images/chevron-right-small.avif') 0 0 no-repeat; background-size: 24px 30px !important; background-position: 92% 12px; transition: all .5s ease-in-out; }
#header .container .mega-menu .menu > li.menu-item-has-children:hover { background-color: #CCD7DE; background-position: 97% 12px; }
#header .container .mega-menu .menu > li.menu-item-has-children.active { background-color: #CCD7DE; background-position: 97% 12px; }
#header .container .mega-menu .menu > li.menu-item-has-children.active > .sub-menu { visibility: visible; opacity: 1; }
#header .container .mega-menu .sub-menu { position: absolute; padding: 20px 0; margin: 0; top: -20px; left: 20vw; z-index: 1; height: 100%; width: 20vw; background-color: #FFFFFF; border-left: 1px solid #5A5A64; visibility: hidden; opacity: 0; transition: all .25s ease-in-out; }
#header .container .mega-menu .sub-menu > li { padding: 0 20px; transition: all .5s ease-in-out; }
#header .container .mega-menu .menu > li:hover { background-color: #CCD7DE; }
#header .container .mega-menu .sub-menu > li:hover { background-color: #CCD7DE; }
#header .container .mega-menu .menu > li.current_page_ancestor { background-color: #CCD7DE; background-position: 97% 12px; }
#header .container .mega-menu .menu > li.current_page_item { background-color: #CCD7DE; background-position: 97% 12px; }

/*Level 3*/
#header .container .mega-menu .sub-menu > li.menu-item-has-children { background: url('/wp-content/themes/eclipse-360-framework/assets/images/chevron-right-small.avif') 0 0 no-repeat; background-size: 24px 30px !important; background-position: 92% 12px; transition: all .5s ease-in-out; }
#header .container .mega-menu .sub-menu > li.menu-item-has-children:hover { background-color: #CCD7DE; background-position: 97% 12px; }
#header .container .mega-menu .sub-menu > li.menu-item-has-children.active { background-color: #CCD7DE; background-position: 97% 12px; }
#header .container .mega-menu .sub-menu > li.menu-item-has-children.active .sub-menu { visibility: visible; opacity: 1; }
#header .container .mega-menu .sub-menu .sub-menu { position: absolute; padding: 20px 0 0 0; margin: 0; top: 0; left: 20vw; z-index: 1; height: calc(100% - 20px); width: 20vw; background-color: #FFFFFF; border-left: 1px solid #5A5A64; visibility: hidden; opacity: 0; transition: all .25s ease-in-out; }
#header .container .mega-menu .sub-menu > li.current_page_ancestor { background-color: #CCD7DE; background-position: 97% 12px; }
#header .container .mega-menu .sub-menu > li.current_page_item { background-color: #CCD7DE; background-position: 97% 12px; }

/*Additional Menu Items*/
.menu-item.right { float: right; }
html.menu-active { overflow: hidden; }
.menu-cover { position: fixed; top: 0; left: 0%; height: 100vh; width: 100vw; background-color: rgba(255, 255, 255, 0.85); cursor: pointer; opacity: 0; visibility: hidden; z-index: 10; transition: all .25s ease-in-out; }
.menu-cover.active { opacity: 1; visibility: visible; }
#header .container .menu-main-navigation-container li.icon-search { vertical-align: middle; padding: 0; margin: 35px 0 0 0; }
#header .container .menu-main-navigation-container li.icon-search::after { border-bottom: unset !important; }
#header .container .menu-main-navigation-container li.icon-search a::after { background: url('/wp-content/themes/eclipse-360-framework/assets/images/icon-search.png') 0 0 no-repeat !important; background-size: 18px 19px !important; width: 20px; background-position: 50% 50px; }
#header .container .menu-main-navigation-container li.icon-search a:hover { border-bottom: unset !important; }
#header .container .menu-main-navigation-container li.icon-search a { font-size: 0 !important;  }
.no-arrow a::after { background: unset !important; width: 0% !important; }
li.no-arrow::after { border-bottom: unset !important; width: 0% !important; }
li.no-arrow:hover::after { border-bottom: unset !important; width: 0% !important; }

/*Mega Menu Right*/
.mega-menu-right { position: absolute; top: 0; right: 120px; height: calc(100% - 76px); width: 20vw; max-width: 400px; background-color: #FFFFFF; padding: 26px 30px 30px 30px; border-left: 1px solid #5A5A64; transition: all .5s ease-in-out; }
.mega-menu-right a { display: block; }

/************************************************/
/* Eclipse 360 Framework Mobile Menu Styles     */
/************************************************/
.mobile-search { display: none; position: absolute; top: 50%; right: 75px; background-size: contain !important; background-repeat: no-repeat !important; transform: translateY(-50%); transition: all .5s ease-in-out; }
.mobile-menu { display: none; position: absolute; top: 50%; right: 30px; background-size: contain !important; background-repeat: no-repeat !important; transform: translateY(-50%); transition: all .5s ease-in-out; }
.mobile-menu-top { position: absolute; top: -15px; right: -150%; width: 100%; max-width: 440px; height: 100vh; padding: 0; background-color: #FFFFFF; box-shadow: -5px 5px 10px rgba(0, 0, 0, .2); z-index: 10; transition: all .5s ease-in-out; }
.mobile-menu-top.active { right: 0; }

.mobile-menu-top .mobile-menu-header { position: relative; height: 70px; border-bottom: 1px solid #48484A; }
.mobile-menu-top .close { background: url(/wp-content/themes/eclipse-360-framework/assets/images/icon-close.png); background-size: contain !important; background-repeat: no-repeat !important; height: 25px; width: 25px; position: absolute; right: 20px; top: 50%; transform: translateY(-50%); transition: all .5s ease-in-out; }
.mobile-menu-top .mobile-menu-div { height: calc(100vh - 180px); overflow: auto; padding: 20px 0 60px 0; background-color: #00365B; }

.mobile-menu-top .mobile-menu-div .menu ul { list-style-type: none; padding: 20px 0 0 0; }
.mobile-menu-top .mobile-menu-div .menu li { padding: 0 20px; }
.mobile-menu-top .mobile-menu-div .menu li a { position: relative; display: block; width: 100%; font-size: 16px; font-weight: 600; color: #FFFFFF !important; padding: 15px 0; border-bottom: 1px solid rgba(255, 255, 255, .3); transition: all .5s ease-in-out; }
.mobile-menu-top .mobile-menu-div .menu li.menu-item-has-children a { background: url('/wp-content/uploads/2025/10/right-white.png') 0 0 no-repeat; background-size: 10px 15px !important; background-position: 99% 18px !important; }
.mobile-menu-top .mobile-menu-div .menu li.menu-item-has-children.active { background-color: #CCD7DE; }
.mobile-menu-top .mobile-menu-div .menu li.top-padding { padding-top: 20px; }
.mobile-menu-top .mobile-menu-div .menu li.not-bold a { font-weight: 400; }
.mobile-menu-top .mobile-menu-div .menu li.offsite a { background: url('/wp-content/uploads/2025/11/button-offsite-white-arrow.png') 0 0 no-repeat; background-size: 16px 17px !important; background-position: 99% 18px !important; }

.mobile-menu-top .mobile-menu-div .menu .mobile-submenu li a { color: #232323 !important; }
.mobile-menu-top .mobile-links { padding: 60px 0 0 0; }
.mobile-menu-top .mobile-links a { font-size: 24px; line-height: 36px; font-weight: 600; padding: 0 0 0 0; transition: all .5s ease-in-out; }
.mobile-menu-top .mobile-links a:hover { padding: 0 0 0 10px; }
.mobile-menu-top .mobile-links .menu { width: 100%; }
.mobile-menu-top .mobile-links .icon-search { display: none; }

.mobile-submenu { position: absolute; top: 71px; right: -500px; width: 100%; padding: 20px 0 60px 0; background-color: #FFFFFF; overflow: hidden; z-index: 1; transition: all .25s ease-in-out; }
.mobile-submenu.active { right: 0; }
.mobile-submenu .back { position: relative; top: -20px; left: 20px; font-size: 18px; font-weight: 400; color: #467B96; padding: 0 0 20px 0; margin: 0 0 -30px 0; width: calc(100% - 40px); border-bottom: 1px solid #48484A; }
.mobile-submenu .back .back-arrow { position: relative; display: inline-block; top: 1px; background: url('/wp-content/themes/eclipse-360-framework/assets/images/icon-back.png'); background-size: contain !important; background-repeat: no-repeat !important; background-position: left center !important; height: 15px; width: 16px; }
.mobile-submenu li { padding: 15px 0; }
.mobile-submenu .menu { position: relative; }
.mobile-submenu .menu-item a { font-weight: 400 !important; border-bottom: 1px solid #48484A !important; }
.mobile-submenu .menu-item.menu-item-has-children > a { background: url('/wp-content/themes/eclipse-360-framework/assets/images/right-arrow-slate.png') 0 0 no-repeat !important; }
.mobile-submenu .sub-menu { padding: 15px 0 0 20px; }

.mobile-submenu .second-level-sub-menu { top: 0; }
.mobile-submenu .third-level-sub-menu { top: 0; }

.mobile-submenu .menu-item.menu-item-has-children a.submenu-back-link { border-bottom: unset !important; }

/************************************************/
/* Responsive                                   */
/************************************************/
@media (max-width: 1024px) {
    #header .container { padding: 15px 30px; }
    .desktop-menu { display: none; }
    .mobile-search { display: block; }
    .mobile-menu { display: block; }
    .super-header { display: none; }
}

@media (max-width: 600px) {
    .mobile-menu-top { width: calc(100vw - 15px); max-width: unset; }
}